Dim username, groupid, csvValues, strArgs

Set strArgs  = WScript.Arguments

If strArgs.length < 1 then
 WScript.Echo "Usage : TR-CSV-Import [CSV File] [GroupID]"
 WScript.quit
End If

If strArgs.length < 2 then
 groupid = "Default"
Else
 groupid = Trim(strArgs(1))
End If

Set WshShell = WScript.CreateObject ("WScript.Shell")
Set objFSO   = CreateObject("Scripting.FileSystemObject")
Set objFile  = objFSO.OpenTextFile(objFSO.GetAbsolutePathName("") & "\" & Trim(strArgs(0)))
Set objRegEx = CreateObject("VBScript.RegExp")

objRegEx.Pattern = "^(.+),(.+)$"

Do Until objFile.AtEndOfStream
  strLine = objFile.ReadLine
  Set colMatches = objRegEx.Execute(strLine)  

  If colMatches.Count > 0 Then
      csvValues = Split(strLine, ",")
      username  = Trim(csvValues(0))

     ' Following line runs trcli.exe and adds a user profile. Use trclilt for LT edition.

      strRun = "%comspec% /c trcli -u " & username & " " & Trim(csvValues(1)) & " " & groupid
      WshShell.Run strRun, 0, True

      ' You can add additional attributes to user profiles.
      ' Following lines add Service-Type = Framed (Check)

      ' strRun = "%comspec% /c trcli -a " & username & " ""ietf|6"" 2 check"
      ' WshShell.Run strRun, 0, True
  End If
Loop

objFile.Close
